Bug 831221 - No gdm login presented with external monitor connected
No gdm login presented with external monitor connected
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
17
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-12 10:03 EDT by Jonathan Miller
Modified: 2013-08-01 06:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 06:14:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xsession-errors from the problem boot (7.99 KB, application/octet-stream)
2012-06-12 10:03 EDT, Jonathan Miller
no flags Details

  None (edit)
Description Jonathan Miller 2012-06-12 10:03:29 EDT
Created attachment 591198 [details]
xsession-errors from the problem boot

Description of problem:
When booting Dell M6600 laptop with Dell P2312H external LCD attached, a login is not presented. The laptop screen shows the desktop background, the LCD is powered and has signal but is black, and no amount of trickery can log me in via the desktop. 
I am able to select a virtual session and login to the OS, and observe the .xsession-errors as attached below. 
If I boot the laptop without the monitor connected, the desktop provides the expected login screen. I can then connect the external monitor and proceed with my business. 

Version-Release number of selected component (if applicable):
F17



How reproducible:
every time

Steps to Reproduce:
1. Connect my external monitor to my laptop
2. Boot the laptop
3. login screen is not drawn, but background image is present
  
Actual results:
login dialog is not presented

Expected results:
login dialog would be presented to I could login and get to gnome-shell

Additional info:
[jmiller@box42 ~]$ sudo lspci
00:00.0 Host bridge: Intel Corporation 2nd Generation Core Processor Family DRAM Controller (rev 09)
00:01.0 PCI bridge: Intel Corporation Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port (rev 09)
00:16.0 Communication controller: Intel Corporation 6 Series/C200 Series Chipset Family MEI Controller #1 (rev 04)
00:16.3 Serial controller: Intel Corporation 6 Series/C200 Series Chipset Family KT Controller (rev 04)
00:19.0 Ethernet controller: Intel Corporation 82579LM Gigabit Network Connection (rev 04)
00:1a.0 USB Controller: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2 (rev 04)
00:1b.0 Audio device: Intel Corporation 6 Series/C200 Series Chipset Family High Definition Audio Controller (rev 04)
00:1c.0 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 1 (rev b4)
00:1c.1 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 2 (rev b4)
00:1c.3 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 4 (rev b4)
00:1c.7 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 8 (rev b4)
00:1d.0 USB Controller: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1 (rev 04)
00:1f.0 ISA bridge: Intel Corporation QM67 Express Chipset Family LPC Controller (rev 04)
00:1f.2 RAID bus controller: Intel Corporation Mobile 82801 SATA RAID Controller (rev 04)
00:1f.3 SMBus: Intel Corporation 6 Series/C200 Series Chipset Family SMBus Controller (rev 04)
01:00.0 VGA compatible controller: ATI Technologies Inc Blackcomb [AMD Radeon HD 6900M Series]
01:00.1 Audio device: ATI Technologies Inc Barts HDMI Audio [Radeon HD 6800 Series]
03:00.0 Network controller: Intel Corporation Centrino Ultimate-N 6300 (rev 35)
04:00.0 USB Controller: NEC Corporation uPD720200 USB 3.0 Host Controller (rev 04)
[jmiller@box42 ~]$ sudo lspci -v -s 01:00.0
01:00.0 VGA compatible controller: ATI Technologies Inc Blackcomb [AMD Radeon HD 6900M Series] (prog-if 00 [VGA controller])
	Subsystem: Dell Device 04a4
	Flags: bus master, fast devsel, latency 0, IRQ 51
	Memory at d0000000 (64-bit, prefetchable) [size=256M]
	Memory at e2420000 (64-bit, non-prefetchable) [size=128K]
	I/O ports at 6000 [size=256]
	Expansion ROM at e2400000 [disabled] [size=128K]
	Capabilities: [50] Power Management version 3
	Capabilities: [58] Express Legacy Endpoint, MSI 00
	Capabilities: [a0] MSI: Enable+ Count=1/1 Maskable- 64bit+
	Capabilities: [100] Vendor Specific Information: ID=0001 Rev=1 Len=010 <?>
	Capabilities: [150] Advanced Error Reporting
	Kernel driver in use: radeon
Comment 1 Jonathan Miller 2012-06-14 10:39:21 EDT
I don't have another laptop to test this on, so I don't know if this is unique to this hardware combination or not.
Comment 2 Fedora End Of Life 2013-07-03 23:07:28 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-08-01 06:14:18 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.